/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996, 1997 
 * All rights reserved
 * 
 */
/*
 * HISTORY
 * $Log: drvvers.h $
 * $EndLog$
 */

/* special source exportable version of drvvers.h */
#ifndef _DRVVERS_H
#define _DRVVERS_H

#if defined(ALTEON)
#define VER_DRIVER_MAJOR            1
#define VER_DRIVER_MINOR            9
#define VER_DRIVER_FIX              0

#define VER_COMPANYNAME_STR      "Alteon Networks Inc."
#define VER_FILEDESCRIPTION_STR  "Alteon Networks Inc. Gigabit Ethernet Driver"
#define VER_INTERNALNAME_STR     "altndis.SYS"
#define VER_ORIGINALFILENAME_STR "altndis.SYS"
#define VER_LEGALCOPYRIGHT_STR   "Copyright (C) Alteon Networks Inc. "
#define VER_PRODUCTNAME_STR      "Alteon Networks Inc. Gigabit Ethernet Driver"

#define NAME_STRING "Alteon Networks Inc. Gigabit Ethernet Adapter."
#define NAME_STRING_SIZE sizeof(NAME_STRING)

#define PCI_DEV_ID		OEM_ALTEON_2_PCI_DEV_ID
#define PCI_VEND_ID		OEM_ALTEON_2_PCI_VEND_ID
#define PCI_SUBSYS_ID		OEM_ALTEON_2_PCI_SUBSYS_ID
#define PCI_SUBSYS_VEND_ID	OEM_ALTEON_2_PCI_SUBSYS_VEND_ID

#endif /* defined(ALTEON) */

/* silly macros to make this work */
#define mkstr(a)                    #a
#define xmkstr(a)                   mkstr(a)

#define VER_PRODUCTVERSION \
    VER_DRIVER_MAJOR,VER_DRIVER_MINOR,VER_DRIVER_FIX,0

#define VER_PRODUCTVERSION_STR \
    xmkstr(VER_DRIVER_MAJOR.VER_DRIVER_MINOR.VER_DRIVER_FIX)

#endif /* _DRVVERS_H */


