/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996
 * All rights reserved
 */
/*
 * HISTORY
 * $Log: altclose.c,v $
 * Revision 1.1.4.1  1998/06/08  23:56:42  ted
 * 	Excise AIX stuff from the source base
 * 	[1998/05/21  22:34:45  ted]
 *
 * 	checkpoint Solaris hybrid working
 * 	[1998/05/21  22:09:04  ted]
 *
 * Revision 1.1.2.1  1996/11/01  18:25:55  ted
 * 	changed rr_ to tg_ and put in proper copyrights
 * 	[1996/10/30  23:07:49  ted]
 * 
 * $EndLog$
 */
/*
 * FILE altclose.c
 *
 * COPYRIGHT (c) Essential Communication Corp. 1995
 * $Source: /projects/rcs/sw/ge/./nic/host/unix/utils/common/altclose.c,v $
 * $Revision: 1.1.4.1 $ $Locker:  $
 * $Date: 1998/06/08 23:56:42 $ $Author: ted $ $State: Exp $
 */

#ifndef __lint
static const char rcsid[] = "$Header: /projects/rcs/sw/ge/./nic/host/unix/utils/common/altclose.c,v 1.1.4.1 1998/06/08 23:56:42 ted Exp $";
#endif /* __lint */

#include <unistd.h>
#include <stdio.h>
#include <fcntl.h>

int
main()
{
    int fd;
    int rc;

    fd = open("/dev/alt", O_RDWR);
    if (fd < 0) {
	perror("open failed");
	exit(1);
    } else
	(void) printf("fd is %d\n", fd);
    rc = close(fd);
    if (rc < 0) {
	perror("close failed");
	exit(1);
    } else
	(void) printf("rc from close is %d\n", rc);
    return(0);
}
