/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996, 1997 
 * All rights reserved
 * 
 */
/*
 * HISTORY
 * $Log: sbus.h,v $
 * Revision 1.1.4.1  1997/09/11  18:05:34  ted
 * 	Mixing vlans, jumbos, and redundancy works, plus small fixes from release 1.1 and better NIC tracing
 * 	[1997/09/11  17:59:17  ted]
 *
 * Revision 1.1.2.1  1997/09/06  01:23:34  ted
 * 	New file to remove manifest constants from SBUS initialiation
 * 	[1997/09/06  01:19:27  ted]
 * 
 * $EndLog$
 */
/*
 * FILE sbus.h
 */

#ifndef _SBUS_H_
#define _SBUS_H_

/* PCI base register bits for the SBus XChip */
#define ALT_SBUS_RESET          0x800
#define ALT_SBUS_16_WORD_XFERS  0x000
#define ALT_SBUS_8_WORD_XFERS   0x200
#define ALT_SBUS_4_WORD_XFERS   0x400
#define ALT_SBUS_1_WORD_XFERS   0x600
#define ALT_SBUS_NO_CHAINING    0x100

#endif /* _SBUS_H_ */

