/*
 * COPYRIGHT NOTICE
 * Copyright (c) Alteon Networks, Inc. 1996
 * All rights reserved
 */
/*
 * HISTORY
 * $Log: alt.h,v $
 * Revision 1.1.4.3  1997/12/24  02:17:06  ted
 * 	increase max cards to 100 from 4
 * 	[1997/12/24  02:15:50  ted]
 *
 * Revision 1.1.4.2  1997/12/03  01:22:44  ted
 * 	Bring forward ODI fixes from release 2
 * 	[1997/12/03  01:14:04  ted]
 * 
 * Revision 1.1.4.1  1997/09/11  18:06:02  ted
 * 	Mixing vlans, jumbos, and redundancy works, plus small fixes from release 1.1 and better NIC tracing
 * 	[1997/09/11  18:00:21  ted]
 * 
 * Revision 1.1.2.1  1996/11/21  18:01:28  ted
 * 	Moved from ../unix/common and merged WINNT changes
 * 	[1996/11/21  17:41:10  ted]
 * 
 * Revision 1.1.2.1  1996/11/01  18:25:27  ted
 * 	change rr_ to tg_ and add proper copyright
 * 	[1996/10/30  22:58:21  ted]
 * 
 * $EndLog$
 */
/*
 * FILE alt.h
 *
 * COPYRIGHT (c) Essential Communication Corp. 1995
 * $Source: /projects/rcs/sw/ge/./nic/host/common/alt.h,v $
 * $Revision: 1.1.4.3 $ $Locker:  $
 * $Date: 1997/12/24 02:17:06 $ $Author: ted $ $State: Exp $
 */

#ifndef _ALT_H_
#define _ALT_H_

#define NALT      100		/* maximum number of cards */
#define MAX_VLANS 64		/* maximum number of VLANs */
#define MAX_VLAN_IDS 0xfff	/* total number of VLAN IDs */
#define ALT_VLAN_TAG_ID 0x8100	/* belongs in tg.h */
#endif /* _ALT_H_ */

